unit uIEditorGruposEmpleado;

interface

uses
  uEditorDBBase, uBizGruposEmpleado, uGruposEmpleadoController, uGUIBase;

type
  IEditorGruposEmpleado = interface(ICustomEditor)
  ['{02981B41-9986-48D8-927C-A08A45168EDE}']
    function ShowModal : Integer;
    procedure Show;

    function GetGruposEmpleado: IBizGrupoEmpleado;
    procedure SetGruposEmpleado(const Value: IBizGrupoEmpleado);
    property GruposEmpleado: IBizGrupoEmpleado read GetGruposEmpleado write SetGruposEmpleado;

    function GetController : IGruposEmpleadoController;
    procedure SetController (const Value : IGruposEmpleadoController);
    property Controller : IGruposEmpleadoController read GetController write SetController;
  end;


implementation

end.
